gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A base class for the concrete slider widgets; and .

A Scale is a slider control used to select a numeric value. Specific manipulation can be done with methods and properties on its base class, . To set the value of a scale, you would normally use the property. To detect changes to the value, connect an event handler to the event.

Gtk.Range Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Scale, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Gtk.PositionType Manage the position of the value, relative to the slider. The position to place the value Where the value is currently being drawn.

  Note: This property is only meaningful is a value is being drawn. To ensure a value is drawn, use the property.

- Property
  System.Boolean Manage whether a label is displayed to show the current value. to display the value, otherwise. Whether the value is currently being displayed.

  Use the property to alter the position of displayed value.

- Property
  System.Int32 Manage the number of decimal places for this slider. The number of decimal places to display. The number of decimal places currently being displayed.
- Event
  Gtk.FormatValueHandler Allows the format of the displayed value to be altered.

  Note: The signature of this event handler is currently incorrect.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.String `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Protected constructor.
  a
- Property
  Pango.Layout To be added a To be added
- Method
  System.Void `` `` To be added a a To be added